DMESG(1)

NOM
dmesg - Afficher et contrôler le tampon des messages du noyau

SYNOPSIS
dmesg [options]

dmesg --clear

dmesg --read-clear [options]

dmesg --console-level niveau

dmesg --console-on

dmesg --console-off

DESCRIPTION
dmesg est utilisé pour examiner ou contrôler le tampon des messages du noyau.

L'action par défaut est de lire tous les messages du tampon des messages du noyau.

OPTIONS
Les options --clear, --read-clear, --console-on, --console-off et --console-level sont mutuellement exclusives.

-C, --clear
    Vider le tampon des messages du noyau.

-c, --read-clear
    Vider le tampon des messages du noyau après les avoir affichés.

-D, --console-off
    Désactiver l'affichage des messages sur la console.

-d, --show-delta
    Afficher l'horodatage et la différence de temps passé entre les messages. Si --notime est utilisé en même temps, seule la différence de temps passé, sans l'horodatage, est affichée.

-E, --console-on
    Activer l'affichage des messages sur la console.

-f, --facility liste
    Restreindre l'affichage à la liste de services (séparée par des virgules) indiquée. Par exemple

      dmesg --facility=daemon

    n'affichera que les messages des démons du système. Consultez dmesg --help pour obtenir la liste des services pris en charge.

-h, --help
    Afficher un texte d'aide puis quitter.

-k, --kernel
    Afficher les messages du noyau.

-l, --level liste
    Restreindre l'affichage à la liste de niveaux (séparée par des virgules) indiquée. Par exemple

      dmesg --level=err,warn

    n'affichera que les messages d'erreur et d'avertissement. Consultez dmesg --help pour obtenir la liste des niveaux pris en charge.

-n, --console-level niveau
    Définir le niveau d'affichage des messages en console. Le niveau est un numéro ou une abréviation du nom de niveau. Consultez dmesg --help pour obtenir la liste des niveaux pris en charge.

    Par exemple, -n 1 ou -n alert suppriment l'affichage de tous les messages, sauf les messages d'urgence (graves). Tous les niveaux d'affichage des messages sont enregistrés dans /proc/kmsg, ainsi syslogd(8) peut toujours être utilisé pour contrôler exactement où les messages du noyau apparaissent. Quand l'option -n est utilisée, dmesg n'affichera pas et n'effacera pas le tampon des messages du noyau.

-r, --raw
    Afficher le tampon de message tel quel, c'est-à-dire ne pas supprimer les préfixes des niveaux de journal.

-s, --buffer-size taille
    Utiliser un tampon de la taille indiquée au lieu de la taille par défaut (16392 octets). (La taille par défaut du tampon pour les messages du noyau était 4096 au départ, puis 8192 à partir du noyau 1.3.54, et 16384 depuis 2.1.113.) Si vous avez augmenté la taille du tampon du noyau par rapport à sa valeur par défaut, cette option peut être utilisée pour afficher le tampon tout entier.

-T, --ctime
    Afficher l'horodatage lisible par l'utilisateur. L'horodatage pourrait être inexact !

    L'origine des temps utilisée pour les journaux n'est pas mise à jour après une mise en veille du système.

-t, --notime
    Ne pas afficher l'horodatage du noyau.

-u, --userspace
    Afficher les messages en espace utilisateur.

-V, --version
    Afficher les informations sur la version et quitter.

-x, --decode
    Décoder les numéros de service et de niveau (priorité) en préfixes lisibles.

VOIR AUSSI
syslogd(8)

AUTEURS
Karel Zak <kzak@redhat.com>
Theodore Ts'o <tytso@athena.mit.edu>

DISPONIBILITÉ
La commande dmesg fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Thierry Vignaud <tvignaud AT mandrakesoft DOT com> en 1999. La version présente dans Debian est maintenue par Julien Cristau <julien.cristau@ens-lyon.org> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.